Bug 520005 - NetworkManager fails to import PCF file for VPNC when Description property is blank
Summary: NetworkManager fails to import PCF file for VPNC when Description property is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 23:18 UTC by Chris Rankin
Modified: 2009-12-24 20:43 UTC (History)
1 user (show)

Fixed In Version: 0.7.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-24 20:43:44 UTC
Type: ---


Attachments (Terms of Use)

Description Chris Rankin 2009-08-27 23:18:27 UTC
Description of problem:
I tried importing a PCF file into NetworkManager, but NM rejected it outright without a useful error message.

Version-Release number of selected component (if applicable):
NetworkManager-vpnc-0.7.0.99

How reproducible:
All the time

Steps to Reproduce:
1. Create a valid PCF file, but leave Description empty (although still present). E.g.
[main]
Description=

2. Try to import the PCF file into NM
  
Actual results:
NM fails, with the following completely useless error message:
"Error: does not look like a Cisco Compatible VPN (vpnc) VPN connection (parse failed)."

Expected results:
NM only wanted the Description field to use as the connection name! It could have defaulted the Description to anything else, or at the very least told me that the only problem was that the Description was blank.

Additional info:
I have just spent a ridiculously miserable evening digging into the NetworkManager code, only to discover that the problem could have been fixed trivially by writing "wibble" after "Description=".

Comment 1 Dan Williams 2009-11-06 06:05:48 UTC
Fixed upstream back in May:

commit 1fb3ebbef18b621733b3dea00ff72d114fad80fc
Author: Lubomir Rintel <lkundrak@v3.sk>
Date:   Mon May 4 13:38:38 2009 -0400

Will get out a vpnc release for F11 after the updated NM hits updates.

Comment 2 Dan Williams 2009-11-23 22:15:01 UTC
All tagged and ready to be built when the NM 0.7.2 builds drop into f11-updates.

Comment 3 Fedora Update System 2009-12-07 18:48:59 UTC
NetworkManager-openconnect-0.7.2-1.fc11,NetworkManager-pptp-0.7.2-1.fc11,NetworkManager-openvpn-0.7.2-1.fc11,NetworkManager-vpnc-0.7.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/NetworkManager-openconnect-0.7.2-1.fc11,NetworkManager-pptp-0.7.2-1.fc11,NetworkManager-openvpn-0.7.2-1.fc11,NetworkManager-vpnc-0.7.2-1.fc11

Comment 4 Fedora Update System 2009-12-10 04:29:52 UTC
NetworkManager-openconnect-0.7.2-1.fc11, NetworkManager-pptp-0.7.2-1.fc11, NetworkManager-openvpn-0.7.2-1.fc11, NetworkManager-vpnc-0.7.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager-openconnect NetworkManager-pptp NetworkManager-openvpn NetworkManager-vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13032

Comment 5 Fedora Update System 2009-12-24 20:43:11 UTC
NetworkManager-openconnect-0.7.2-1.fc11, NetworkManager-pptp-0.7.2-1.fc11, NetworkManager-openvpn-0.7.2-1.fc11, NetworkManager-vpnc-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.